constexpr int PORT = 8070;
constexpr int BACKLOG = 10;
constexpr int BUFFER_SIZE = 1024;

// Хранение значений куки в переменной
//std::map<std::string, int> existingCookies = {
//    {"user_id", 0} // Идентификатор пользователя, зарегистрированного в бд mariadb
//};
// Идентификатор пользователя
//int user_id = 0;

// Структура POST-запроса создания виртуальной машины
    struct postVM {
        std::string nameVM;
        std::string kernelVM;
        std::string memVM;
        std::string hddVM;
        std::string osVM;
        std::string passVM;
    };
    
// Структура подключения к базе данных mariadb    
    struct sqlDB
    {
        std::string sql_host = "localhost";
        std::string sql_login = "gt";
        std::string sql_passwd = "1";
        std::string sql_db = "webs5";
    };
    
// Структура POST-запроса регистрации нового пользователя
    struct post_regUSER
    {
        std::string reg_login;
        std::string reg_pass1;
        std::string reg_pass2;        
    };

// Структура POST-запроса авторизации пользователя
    struct post_authUSER
    {
        std::string auth_login;
        std::string auth_pass;
    };
